<p>chat-page works!</p>
<div class="container-fluid">
    <div class="row">
        <h2>Realtime Chat Application</h2>
        <hr>
    </div>
    <div class="row">
        <div class="col-sm-5">
            <div class="form-group">
                <label for="username">Username</label>
                <input type="text" [(ngModel)]="user" class="form-control" id="username" placeholder="Enter username">
                <!-- <small id="userHelp" class="form-text text-muted">Type your username.</small> -->
            </div>
        </div>
        <div class="col-sm-5">
            <label for="roomInput">Choose room</label>
            <select name="roomInput" id="roomInput" class="form-control" [(ngModel)]="room">
                <option value="Lobby">Lobby</option>
                <option value="Hall">Hall</option>
                <option value="Deluxe">Deluxe</option>
            </select>
        </div>
        <div class="col sm-2">
            <div style="margin-top:19px;" class="pull-right"> 
                <button type="button" class="btn btn-primary" (click)="join()">Join</button>
                <button type="button" class="btn btn-default" (click)="leave()">Leave</button>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="well" style="height:200px; padding:15px;">
            <div *ngFor="let item of messageArray">
            <span><strong>{{item.user}} : </strong> {{item.message}}</span>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-10">
            <input type="text" class="form-control" [(ngModel)]="messageText">            
        </div>
        <div class="col-sm-2">
                <button type="button" class="btn btn-success pull-right" (click)="sendMessage()">Send</button>
        </div>
    </div>
</div>